Description

Hi ,

i have problem with chrome.

splunk (7.3.0) is running on Ubuntu 18.04.2 LTS .

when i try to add webpage it generates that error. could  you help?

2019-07-14 15:31:56,841 ERROR Exception generated when attempting to test the browser

Traceback (most recent call last):

File "<string>", line 450, in test_browser

File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_scraper.py", line 745, in scrape_page

additional_fields=additional_fields, **kw)

File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_scraper.py", line 437, in get_result_single

content = web_client.get_url(url.geturl())

File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_driver_client.py", line 248, in get_url

self.driver = self.get_driver()

File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_driver_client.py", line 355, in get_driver

driver = webdriver.Chrome(chrome_options=chrome_options)

File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/chrome/webdriver.py", line 69, in init

desired_capabilities=desired_capabilities)

File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 98, in init

self.start_session(desired_capabilities, browser_profile)

File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 188, in start_session

response = self.execute(Command.NEW_SESSION, parameters)

File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 252, in execute

self.error_handler.check_response(response)

File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/errorhandler.py", line 194, in check_response

raise exception_class(message, screen, stacktrace)

WebDriverException: Message: invalid argument: unrecognized capability: chromeOptions

thanks.

History

#1 - 07/31/2019 09:31 PM - Luke Murphey

This is most likely because the version of Chrome and the chromedriver are not compatible. I would recommend finding the version of the

chromedriver necessary for your version of Chrome and putting the chromedriver in your system path somewhere such that it will load before the one

provided by the app. I do provide a chromedriver in the app just in case you don't have it installed already. That said, I cannot be sure that the version

of Chrome you have will be compatible (since I don't include Chrome itself).

#2 - 07/31/2019 09:31 PM - Luke Murphey

- Status changed from New to Closed
